<!DOCTYPE html>
<html>
	<head>
		<title>Model Runner</title>
		<link rel="stylesheet" href="styles.css">
	</head>
	
	<body>
		<img id="logo" src="flexsimweb/images/logo.png" alt="FlexSim Logo"/>
		<div id="box">
			<div id="content">
				<?php
					// change the webserver's ip address from 127.0.0.1 to the webserver's ip address
					// if the webserver isn't being hosted on the same machine as this website
					$webserveraddress = "http://127.0.0.1:81/webserver.dll";
					
					if(!empty($_POST['btn_status']))
					{
						$jobid = $_POST['jobid'];
						
						$ch = curl_init($webserveraddress.'?getstatus='.$jobid);
						curl_setopt($ch, CURLOPT_HEADER, false);
						curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
						$response = curl_exec($ch);
						curl_close($ch);
						if($response)
						{
							$result = json_decode($response,true);
							echo '<p>Status: '.$result["status"].'</p>';
						}
					}
					
					if(!empty($_POST['btn_cancel']))
					{
						$jobid = $_POST['jobid'];
						
						$ch = curl_init($webserveraddress.'?canceljob='.$jobid);
						curl_setopt($ch, CURLOPT_HEADER, false);
						curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
						curl_exec($ch);
						curl_close($ch);
						$ch = curl_init($webserveraddress.'?getstatus='.$jobid);
						curl_setopt($ch, CURLOPT_HEADER, false);
						curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
						$response = curl_exec($ch);
						curl_close($ch);
						if($response)
						{
							$result = json_decode($response,true);
							if($result["status"] == "canceled")
								echo '<p>Cancellation complete.</p>';
							else echo '<p>You can only cancel an incomplete or waiting job.</p>';
						}
					}
					
					if(!empty($_POST['btn_connect']))
					{
						$jobid = $_POST['jobid'];
						
						$ch = curl_init($webserveraddress.'?getjobquery='.$jobid);
						curl_setopt($ch, CURLOPT_HEADER, false);
						curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
						$response = curl_exec($ch);
						curl_close($ch);
						if($response)
						{
							$jobquery = json_decode($response,true);
							$connectaddress = 'location: '.$webserveraddress.'?'.$jobquery.'&defaultpage';
							echo $connectaddress;
							header($connectaddress);
						}
						else echo "<p>This model is not running. You must connect to an incomplete model.</p>";
					}
					
					if(!empty($_POST['btn_results']))
					{
						$jobid = $_POST['jobid'];
						
						$ch = curl_init($webserveraddress.'?getjobresults='.$jobid);
						curl_setopt($ch, CURLOPT_HEADER, false);
						curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
						$response = curl_exec($ch);
						curl_close($ch);
						if($response)
						{
							$result = json_decode($response,true);
							echo '<p>Results: ';
							var_dump($result);
							echo '</p>';
						}
					}
				?>
			</div>
		</div>
	</body>
</html>