CREATE DATABASE IF NOT EXISTS `fs_job_scheduler` DEFAULT CHARACTER SET utf8 COLLATE utf8_general_ci;
USE `fs_job_scheduler`;

CREATE TABLE IF NOT EXISTS `fs_request` (
`requestid` int(11) NOT NULL,
  `requestname` varchar(50) NOT NULL,
  `modelname` varchar(50) NOT NULL,
  `jobid` int(11) NOT NULL
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

CREATE TABLE IF NOT EXISTS `fs_user` (
`userid` int(11) NOT NULL,
  `username` varchar(50) NOT NULL,
  `password` varchar(50) NOT NULL
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

CREATE TABLE IF NOT EXISTS `fs_user_request` (
  `userid` int(11) NOT NULL,
  `requestid` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


ALTER TABLE `fs_request`
 ADD PRIMARY KEY (`requestid`);

ALTER TABLE `fs_user`
 ADD PRIMARY KEY (`userid`);


ALTER TABLE `fs_request`
MODIFY `requestid` int(11) NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=1;
ALTER TABLE `fs_user`
MODIFY `userid` int(11) NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=1;

GRANT SELECT, INSERT, UPDATE ON `fs_job_scheduler`.* TO 'fs_job_user'@'%' IDENTIFIED BY PASSWORD '*E3245F4378E8F16C68A3607589A3BB56F21FF834';

GRANT SELECT, INSERT, UPDATE ON `fs_job_scheduler`.* TO 'fs_job_user'@'localhost' IDENTIFIED BY PASSWORD '*E3245F4378E8F16C68A3607589A3BB56F21FF834';